## net.i2p.router.tunnel.pool
Class SendGarlicMessageJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.tunnel.pool.SendGarlicMessageJob

All Implemented Interfaces:
  Job

     class SendGarlicMessageJob

extends JobImpl

Wrap the tunnel request in a garlic to the participant, and then send it out a tunnel.

Constructor Summary
`SendGarlicMessageJob(RouterContext ctx, I2NPMessage payload, RouterInfo target, MessageSelector selector, ReplyJob onReply, Job onTimeout, SessionKey sentKey, java.util.Set sentTags)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendGarlicMessageJob

    public SendGarlicMessageJob(RouterContext ctx,
                                I2NPMessage payload,
                                RouterInfo target,
                                MessageSelector selector,
                                ReplyJob onReply,
                                Job onTimeout,
                                SessionKey sentKey,
                                java.util.Set sentTags)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.